Bug 1365983 - [RFE]Very confusing "Add Storage" UI organization
Summary: [RFE]Very confusing "Add Storage" UI organization
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI
Version: 2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 2
Assignee: Karnan
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: Console-2-Async
TreeView+ depends on / blocked
 
Reported: 2016-08-10 16:59 UTC by Jean-Charles Lopez
Modified: 2016-10-19 15:20 UTC (History)
10 users (show)

Fixed In Version: rhscon-ui-0.0.57-1.el7scon
Doc Type: Bug Fix
Doc Text:
Previously, the text on the Add Storage tab was confusing as there was no clear description regarding the storage type. With this update, the text has been updated and a short description about the pools and RBDs is provided to ensure there is no ambiguity.
Clone Of:
Environment:
Last Closed: 2016-10-19 15:20:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
Add Storage -- original design (issue with current text) (646.87 KB, image/png)
2016-08-26 00:47 UTC, Ju Lim
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2082 0 normal SHIPPED_LIVE Moderate: Red Hat Storage Console 2 security and bug fix update 2017-04-18 19:29:02 UTC

Comment 2 Nishanth Thomas 2016-08-11 04:08:02 UTC
This screen is designed as per the UX specification:
https://docs.google.com/presentation/d/1C8Duj3itj2WuJL8o7ikY8IkgGqxsdZH_3uT5mawQ2-A/edit#slide=id.gd84a0b5a0_0_0

Please have a look at the slide 9

Any changes needs to be discussed with UX team for further action

Comment 4 Ju Lim 2016-08-24 18:31:14 UTC
JC Lopez: 1365983 "Add Storage" Dialog needs to be fixed. Pool creation must be labelled as such and separated from RBD Image creation

Comment 5 Ju Lim 2016-08-26 00:47:41 UTC
Created attachment 1194173 [details]
Add Storage -- original design (issue with current text)

Comment 6 Ju Lim 2016-08-26 00:50:58 UTC
Per discussing with JC Lopez, the text is misleading for the object storage selection, thus wording needs to change.  There is no issue with the wording for the block storage selection.

Please change the 2 storage choices to the following (the block storage option was also revised to be aligned with the Ceph Pool labelling):

Ceph Pool
Use when you want to create regular RADOS pool.  This is the default storage for Ceph.

Ceph RBD
Raw Block device (RBD) is recommended for traditional applications that expect native block storage.  It integrates with Kernel Virtual Machines (KVMs) and allows mounting of block storage devices from Linux or QEMU KVM clients.  Data access is via Librados, RBD, and CephFS (POSIX compliant).


===
Note: Both are prefaced with Ceph to make clear that it's a pool and RBD related to Ceph and not any other storage technologies (since USM will eventually support others, we will want this now so we don't have to change this again in the future).

Comment 8 Filip Balák 2016-09-22 13:12:03 UTC
Tested with
Server:
ceph-ansible-1.0.5-33.el7scon.noarch
ceph-installer-1.0.15-2.el7scon.noarch
graphite-web-0.9.12-8.1.el7.noarch
rhscon-ceph-0.0.42-1.el7scon.x86_64
rhscon-core-selinux-0.0.43-1.el7scon.noarch
rhscon-core-0.0.43-1.el7scon.x86_64
rhscon-ui-0.0.57-1.el7scon.noarch

Node:
calamari-server-1.4.8-1.el7cp.x86_64
ceph-base-10.2.2-41.el7cp.x86_64
ceph-common-10.2.2-41.el7cp.x86_64
ceph-mon-10.2.2-41.el7cp.x86_64
ceph-osd-10.2.2-41.el7cp.x86_64
ceph-selinux-10.2.2-41.el7cp.x86_64
libcephfs1-10.2.2-41.el7cp.x86_64
python-cephfs-10.2.2-41.el7cp.x86_64
rhscon-agent-0.0.19-1.el7scon.noarch
rhscon-core-selinux-0.0.43-1.el7scon.noarch

and it works as it is expected. --> Verified

Comment 10 Karnan 2016-10-17 11:20:04 UTC
Doc text looks good.

Comment 11 errata-xmlrpc 2016-10-19 15:20:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:2082


Note You need to log in before you can comment on or make changes to this bug.